Bug 1677016 - Introspection of baremetal nodes fail with 'No hypervisor matching' problem when node name used instead of uuid
Summary: Introspection of baremetal nodes fail with 'No hypervisor matching' problem w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z7
: 13.0 (Queens)
Assignee: Dmitry Tantsur
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
: 1677283 (view as bug list)
Depends On:
Blocks: 1708420
TreeView+ depends on / blocked
 
Reported: 2019-02-13 19:12 UTC by Jose Kaz C R
Modified: 2019-07-10 13:01 UTC (History)
5 users (show)

Fixed In Version: openstack-tripleo-common-8.6.8-8.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1708420 (view as bug list)
Environment:
Last Closed: 2019-07-10 13:01:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 644804 None MERGED Clean up node registration output. 2020-06-15 19:09:06 UTC
OpenStack gerrit 644805 None MERGED Fix running the baremetal provide workflow with node names 2020-06-15 19:09:06 UTC
Red Hat Knowledge Base (Solution) 3984241 Configure None Introspect fails with "No Hypervisor matching" error 2019-03-13 13:41:16 UTC
Red Hat Product Errata RHSA-2019:1742 None None None 2019-07-10 13:01:54 UTC

Description Jose Kaz C R 2019-02-13 19:12:52 UTC
Description of problem:

(undercloud) [stack@nj51ntvs7d-director ~]$ openstack overcloud node introspect node-1-14 --provide
Waiting for introspection to finish...
Started Mistral Workflow tripleo.baremetal.v1.introspect. Execution ID: c52c3d1f-bb43-4f8a-9824-eeec7c03ab33
Waiting for messages on queue 'tripleo' with no timeout.
Introspection of node node-1-14 timed out.
Retrying 1 nodes that failed introspection. Attempt 2 of 3 
Introspection of node 277f524c-8ec9-4b25-a4e0-dbced0bd91a5 timed out.
Retrying 1 nodes that failed introspection. Attempt 3 of 3 
Introspection of node 277f524c-8ec9-4b25-a4e0-dbced0bd91a5 completed. Status:SUCCESS. Errors:None
Successfully introspected 1 node(s).
Started Mistral Workflow tripleo.baremetal.v1.provide. Execution ID: b5fe8d14-91cc-45cd-b506-09571fd19b17
Waiting for messages on queue 'tripleo' with no timeout.
[u"Failed to run action [action_ex_id=41348d40-2845-43f8-9fd8-31e225bae6df, action_cls='<class 'mistral.actions.action_factory.NovaAction'>', attributes='{u'client_method_name': u'hypervisors.find'}', params='{u'hypervisor_hostname': u'node-1-14'}']\n NovaAction.hypervisors.find failed: No Hypervisor matching {u'hypervisor_hostname': u'node-1-14'}. (HTTP 404)"]
[u"Failed to run action [action_ex_id=a5a8f566-587b-4902-883c-e67caf8ce33e, action_cls='<class 'mistral.actions.action_factory.NovaAction'>', attributes='{u'client_method_name': u'hypervisors.find'}', params='{u'hypervisor_hostname': u'node-1-14'}']\n NovaAction.hypervisors.find failed: No Hypervisor matching {u'hypervisor_hostname': u'node-1-14'}. (HTTP 404)"]
[u"Failed to run action [action_ex_id=926bee32-16bb-48f9-a13d-ecb1138a61e8, action_cls='<class 'mistral.actions.action_factory.NovaAction'>', attributes='{u'client_method_name': u'hypervisors.find'}', params='{u'hypervisor_hostname': u'node-1-14'}']\n NovaAction.hypervisors.find failed: No Hypervisor matching {u'hypervisor_hostname': u'node-1-14'}. (HTTP 404)"]
[u"Failed to run action [action_ex_id=da04463d-b169-4bfe-bc3f-1fb8d659dad1, action_cls='<class 'mistral.actions.action_factory.NovaAction'>', attributes='{u'client_method_name': u'hypervisors.find'}', params='{u'hypervisor_hostname': u'node-1-14'}']\n NovaAction.hypervisors.find failed: No Hypervisor matching {u'hypervisor_hostname': u'node-1-14'}. (HTTP 404)"]
[u"Failed to run action [action_ex_id=3b014211-7243-487c-ae61-a43998f009c4, action_cls='<class 'mistral.actions.action_factory.NovaAction'>', attributes='{u'client_method_name': u'hypervisors.find'}', params='{u'hypervisor_hostname': u'node-1-14'}']\n NovaAction.hypervisors.find failed: No Hypervisor matching {u'hypervisor_hostname': u'node-1-14'}. (HTTP 404)"]
[u"Failed to run action [action_ex_id=227a443d-4aee-4b50-baf1-ac4490d55fdf, action_cls='<class 'mistral.actions.action_factory.NovaAction'>', attributes='{u'client_method_name': u'hypervisors.find'}', params='{u'hypervisor_hostname': u'node-1-14'}']\n NovaAction.hypervisors.find failed: No Hypervisor matching {u'hypervisor_hostname': u'node-1-14'}. (HTTP 404)"]
[u"Failed to run action [action_ex_id=e9bbaee1-4adf-43f5-8770-b745a582f5c8, action_cls='<class 'mistral.actions.action_factory.NovaAction'>', attributes='{u'client_method_name': u'hypervisors.find'}', params='{u'hypervisor_hostname': u'node-1-14'}']\n NovaAction.hypervisors.find failed: No Hypervisor matching {u'hypervisor_hostname': u'node-1-14'}. (HTTP 404)"]
[u"Failed to run action [action_ex_id=ca0bdfd5-f404-42ed-a0c2-95673bc525cb, action_cls='<class 'mistral.actions.action_factory.NovaAction'>', attributes='{u'client_method_name': u'hypervisors.find'}', params='{u'hypervisor_hostname': u'node-1-14'}']\n NovaAction.hypervisors.find failed: No Hypervisor matching {u'hypervisor_hostname': u'node-1-14'}. (HTTP 404)"]

Version-Release number of selected component (if applicable):

(undercloud) [stack@nj51ntvs7d-director ~]$ rpm -qa | grep openstack-tripleo-common
openstack-tripleo-common-8.6.6-2.el7ost.noarch
openstack-tripleo-common-containers-8.6.6-2.el7ost.noarch

How reproducible:


Steps to Reproduce:
1.Introspect a node
2.Receive the error constantly


Actual results:
The error appears, similar to following bug: https://bugzilla.redhat.com/show_bug.cgi?id=1536521

Expected results:
Not see the error

Additional info:

Comment 1 Bob Fournier 2019-03-01 16:44:08 UTC
*** Bug 1677283 has been marked as a duplicate of this bug. ***

Comment 2 Bob Fournier 2019-03-01 16:45:17 UTC
Issue is with hostname being used instead of uuid, seems to be a problem with handling in Mistral.

Comment 3 Bob Fournier 2019-05-09 20:19:20 UTC
As upstream patches have landed, moving this to POST, fixes will be picked up in import for OSP-13z7.  I don't think downstream patches are necessary.

Comment 11 mlammon 2019-07-02 14:00:02 UTC
Env:
2019-06-28.1

yum info openstack-tripleo-common
Loaded plugins: search-disabled-repos
Installed Packages
Name        : openstack-tripleo-common
Arch        : noarch
Version     : 8.6.8
Release     : 11.el7ost
Size        : 1.1 M

I did not see this error during verification. Marking verified.

Comment 13 errata-xmlrpc 2019-07-10 13:01:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1742


Note You need to log in before you can comment on or make changes to this bug.